#
# spec file for package perl-Probe-Perl (Version 0.01)
#
# Copyright (c) 2010 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#

# norootforbuild

Name:           perl-Probe-Perl
%define cpan_name %( echo %{name} | %{__sed} -e 's,perl-,,' )
Summary:        Information about the currently running perl
Version:        0.01
Release:        1.1
License:        GPL+ or Artistic
Group:          Development/Libraries
Url:            http://search.cpan.org/dist/Probe-Perl/
Source0:        http://www.cpan.org/authors/id/K/KW/KWILLIAMS/Probe-Perl-%{version}.tar.gz
BuildArch:      noarch
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
BuildRequires:  perl
BuildRequires:  perl(Module::Build)
BuildRequires:  perl(Test)
%if 0%{?suse_version} < 1120
BuildRequires:  perl-macros
%endif
#
Requires:  perl = %{perl_version}
#
Provides:  %{cpan_name}

%description
This module provides methods for obtaining information about the currently
running perl interpreter. It originally began life as code in the
Module::Build project, but has been externalized here for general use.

%prep
%setup -q -n %{cpan_name}-%{version}

%build
%{__perl} Build.PL installdirs=vendor
./Build

%check
./Build test

%install
./Build install destdir=$RPM_BUILD_ROOT create_packlist=0
%perl_process_packlist
%perl_gen_filelist

%clean
%{__rm} -rf $RPM_BUILD_ROOT

%files -f %{name}.files
%defattr(-,root,root,-)
%doc Changes README SIGNATURE

%changelog
* Thu Mar  4 2010 chris@computersalat.de
- cleanup spec
- fixed deps
* Mon Jan 25 2010 anicka@suse.cz
- cleaned Requires
